Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class ProcessDescriptionDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.wps.describeprocess.ProcessDescriptionDocument

All Implemented Interfaces:
  Serializable

    public class ProcessDescriptionDocument

extends XMLFragment

ProcessDescriptionDocument.java Created on 10.03.2006. 15:18:02h

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`ProcessDescriptionDocument()`

Method Summary
`ProcessDescription` | `parseProcessDescription()`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessDescriptionDocument

    public ProcessDescriptionDocument()

Method Detail

### parseProcessDescription

    public ProcessDescription parseProcessDescription()
                                               throws XMLParsingException

  Returns:
    the bean created from the root element.
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org